Bug 4871 - Request for information on FIASCO format used for firmware images
: Request for information on FIASCO format used for firmware images
Status: RESOLVED WONTFIX
Product: Flasher
Linux
: 5.0-beta2
: All All
: Medium enhancement with 7 votes (vote)
: ---
Assigned To: Quim Gil
: flasher-linux-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-08-03 10:46 UTC by Carsten Munk
Modified: 2012-03-24 11:40 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Carsten Munk (reporter) maemo.org 2009-08-03 10:46:25 UTC
HARDWARE VERSIONS: 770, N800, N810, N810W

To aid support of the above devices by community, documentation on the FIASCO
format used for making firmware images for use in the NIT flasher is requested.

If possible, a open-source tool to generate FIASCO images would also be
appreciated. Additionally information on partition table alteration using
flasher/FIASCO image, like in the transition from Chinook to Diablo increased
initfs size would be useful.

This would allow community to generate images for easy installation of
variants/editions, in accordance with objective on
http://wiki.maemo.org/Objective:Maemo_variants and make
http://wiki.maemo.org/Task:Maemo_Community_distribution easier to accomplish.
Comment 1 Lucas Maneos 2009-08-03 11:21:45 UTC
Not what you are asking for, but in the meantime 0xFFFF
(<http://www.nopcode.org/0xFFFF/>) may help.  Note that the online docs are
slightly out of date and the latest release includes support for packing a
FIASCO image from the various parts.
Comment 2 Andre Klapper maemo.org 2009-08-04 00:17:03 UTC
Jarmo, can you initiate this?
Comment 3 Quim Gil nokia 2009-08-04 10:00:33 UTC
We had discussions about releasing fiasco-gen to make it easy to create
alternative images using the very same binaries used to create Maemo official
images.

It's actually in my ToDo list, although far from the top currently. If there is
a specific need that makes it more urgent please let me know.
Comment 4 Quim Gil nokia 2009-09-21 08:30:48 UTC
This is actually a enhancement request. Yes, in my basket still.

If you push the whole topic of community editions then (frankly) it will help
pushing up the item in the list.
Comment 5 Pali Rohár 2011-02-18 20:20:45 UTC
Any updates? Release open source tool for generating FIASCO images will fix bug
https://bugs.maemo.org/show_bug.cgi?id=11809 too.
Comment 6 Quim Gil nokia 2011-04-20 17:21:58 UTC
Short update: the relicensing (or alternatives) to fiasco-gen and Flasher is
being discussed within Nokia - in the context of MeeGo contributions.

Thanks Carsten for helping kicking this ball.
Comment 7 Andre Klapper maemo.org 2012-03-21 18:07:24 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia, hence resetting the ASSIGNED
status to NEW/UNCONFIRMED as nobody is working on this.

Note that very likely any feature requests for Maemo5 will not receive fixes
(WONTFIX) - I might mass-set this status in the future. There is a very small
chance for issues in open source components that contributed patches could be
included in the Maemo 5 CSSU Community updates - see http://wiki.maemo.org/CSSU
for more information.


For completeness (as Harmattan is mentioned in some reports), MeeGo 1.2
Harmattan used for the N9 and N950 is handled in
http://harmattan-bugs.nokia.com/ which has recently been closed for new bug
report entry [1].

[1]
http://www.developer.nokia.com/Community/Blogs/blog/n9-developer/2012/03/08/harmattan-bugzilla-closed-for-new-bugs
Comment 8 Andre Klapper maemo.org 2012-03-24 11:40:09 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )